## freeradius-1.1.1.tar.gz

=== Makefile ===
#
# Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
# Version:	$Id: Makefile,v 1.44.2.2 2005/04/11 21:18:27 aland Exp $
#

include Make.inc

.PHONY: all clean install

SUBDIRS		= ${LIBLTDLPATH} src raddb scripts doc
WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~

#
# The $(R) is a magic variable not defined anywhere in this source.
# It's purpose is to allow an admin to create an installation 'tar'
# file *without* actually installing it.  e.g.:
#
#  $ R=/home/root/tmp make install
#  $ cd /home/root/tmp
#  $ tar -cf ~/freeradius-package.tar *
#
# The 'tar' file can then be un-tar'd on any similar machine.  It's a
# cheap way of creating packages, without using a package manager.
# Many of the platform-specific packaging tools use the $(R) variable
# when creating their packages.
#
install:
	$(INSTALL) -d -m 755	$(R)$(sbindir)
	$(INSTALL) -d -m 755	$(R)$(bindir)
	$(INSTALL) -d -m 755	$(R)$(raddbdir)
	$(INSTALL) -d -m 755	$(R)$(mandir)
	$(INSTALL) -d -m 755	$(R)$(RUNDIR)
	$(INSTALL) -d -m 700	$(R)$(logdir)
	$(INSTALL) -d -m 700	$(R)$(radacctdir)
	$(INSTALL) -d -m 700	$(R)$(datadir)
	$(INSTALL) -d -m 755	$(R)$(dictdir)
	for i in 1 5 8; do \
		$(INSTALL) -d -m 755	$(R)$(mandir)/man$$i; \
		for p in man/man$$i/*.$$i; do \
			$(INSTALL) -m 644 $$p $(R)$(mandir)/man$$i; \
		done \
	done
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@echo "Installing dictionary files in $(R)$(dictdir)"; \
	cd share; \
	for i in dictionary*; do \
		$(INSTALL) -m 644 $$i $(R)$(dictdir); \
	done
	$(LIBTOOL) --finish $(R)$(libdir)

common:
	@for dir in $(SUBDIRS); do \
		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
		(cd $$dir && $(MAKE) $(MFLAGS) $(WHAT_TO_MAKE)) || exit $?;\
	done

distclean: clean
	rm -f config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool
	-find . ! -name configure.in -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.mak | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.h | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
reconfig: configure src/include/autoconf.h.in

configure: configure.in aclocal.m4
	$(AUTOCONF)

# autoheader might not change autoconf.h.in, so touch a stamp file
src/include/autoconf.h.in: src/include/stamp-h.in acconfig.h
src/include/stamp-h.in: configure.in acconfig.h
	$(AUTOHEADER)
	echo timestamp > src/include/stamp-h.in

src/include/autoconf.h: src/include/stamp-h
src/include/stamp-h: src/include/autoconf.h.in config.status
	./config.status

config.status: configure
	./config.status --recheck

configure.in:

TAGS:
	etags `find src -type f -name '*.[ch]' -print`

=== doc/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.4.4.2.2.2 2006/02/04 13:48:03 nbk Exp $
#

include ../Make.inc

SUBDIRS		= examples rfc
WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~

install:
	$(INSTALL) -d -m 755 $(R)$(datadir)/doc
	$(INSTALL) -d -m 755 $(R)$(datadir)/doc/freeradius
	for file in *[!~]; do \
		if [ -f $$file -a $$file != Makefile ]; then \
			$(INSTALL) -m 644 $$file $(R)$(datadir)/doc/freeradius; \
		fi; \
	done
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

common: $(SUBDIRS)

$(SUBDIRS):
	@echo "Making $(WHAT_TO_MAKE) in $@..."
	$(MAKE) $(MFLAGS) -C $@ $(WHAT_TO_MAKE)

.PHONY: all clean install common $(SUBDIRS)

=== raddb/Makefile ===
include ../Make.inc

#
#  The list of files to install.
#
FILES	= acct_users attrs clients clients.conf dictionary eap.conf \
	  experimental.conf hints huntgroups ldap.attrmap \
	  mssql.conf naslist naspasswd oraclesql.conf postgresql.conf \
	  preproxy_users proxy.conf radiusd.conf realms snmp.conf \
	  sql.conf users otp.conf otppasswd.sample

all:

install:
	$(INSTALL) -d -m 755	$(R)$(raddbdir)
	@echo "Creating/updating files in $(R)$(raddbdir)"; \
	for i in $(FILES); do \
		[ ! -f $(R)$(raddbdir)/$$i ] && $(INSTALL) -m 644 $$i $(R)$(raddbdir); \
		if [ "`find $$i -newer $(R)$(raddbdir)/$$i`" ]; then \
			echo "** $(R)$(raddbdir)/$$i"; \
			nt=1; \
		fi; \
	done; \
	if [ "$$nt" ]; then \
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "**";\
		echo "** The sample configuration files in `pwd`";\
		echo "** are newer than those in $(R)$(raddbdir)";\
		echo "**";\
		echo "** Please investigate and manually copy (if appropriate) the files listed above.";\
		echo "**";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
		echo "** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING ** WARNING **";\
	fi
	chmod 640 $(R)$(raddbdir)/naspasswd $(R)$(raddbdir)/clients $(R)$(raddbdir)/clients.conf
	if [ ! -d $(R)$(raddbdir)/certs ]; then \
		mkdir $(R)$(raddbdir)/certs; \
		mkdir $(R)$(raddbdir)/certs/demoCA; \
		cp certs/demoCA/* $(R)$(raddbdir)/certs/demoCA || true; \
		cp certs/* $(R)$(raddbdir)/certs 2>/dev/null || true; \
	fi

clean:

=== doc/examples/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.1 2006/02/04 13:45:01 nbk Exp $
#

include ../../Make.inc

all:

clean:
	@rm -f *~

install:
	$(INSTALL) -d -m 755 $(R)$(datadir)/doc/freeradius/examples
	for file in *[!~]; do \
		if [ -f $$file -a $$file != Makefile ]; then \
			$(INSTALL) -m 644 $$file $(R)$(datadir)/doc/freeradius/examples; \
		fi; \
	done

.PHONY: all clean install

=== doc/rfc/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.7.4.1 2006/02/04 13:38:06 nbk Exp $
#

include ../../Make.inc

RFC	= rfc2548.txt rfc2865.txt rfc2866.txt rfc2867.txt rfc2868.txt \
	  rfc2869.txt rfc3162.txt

all:

html: refs
	./rewrite.pl $(RFC)
	@touch .rewrite

refs: $(RFC)
	./genref.pl $(RFC) > refs

clean:
	rm -f refs rfc*.html *~ .rewrite index.html

install:
	$(INSTALL) -d -m 755 $(R)$(datadir)/doc/freeradius/rfc
	for file in `ls -1 *.txt *.html`; do \
		$(INSTALL) -m 644 $$file $(R)$(datadir)/doc/freeradius/rfc; \
	done

.PHONY: all clean install html

=== src/lib/Makefile ===
#
# Makefile
#
# Version:      $Id: Makefile,v 1.20.4.3 2006/02/10 19:47:04 nbk Exp $
#

include ../../Make.inc

SRCS		= crypt.c dict.c filters.c hash.c hmac.c hmacsha1.c \
		  isaac.c log.c misc.c missing.c md4.c md5.c print.c \
		  radius.c rbtree.c sha1.c snprintf.c token.c udpfromto.c \
		  valuepair.c

LT_OBJS		= $(SRCS:.c=.lo)

INCLUDES	= ../include/radius.h ../include/libradius.h \
		  ../include/missing.h ../include/autoconf.h

CFLAGS		+= -D_LIBRADIUS -I../include

# if you have problems with things that need SHA1-HMAC, this will
# dump the key and the input to the hash so you can compare to what
# the other end is doing.
CFLAGS += -DHMAC_SHA1_DATA_PROBLEMS

ifeq ($(USE_SHARED_LIBS),yes)
LINK_MODE	= -export-dynamic
else
LINK_MODE	= -static
endif

TARGET		= $(LIBPREFIX)radius

# Define new rule for libtool objects
%.lo : %.c
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c $<

all: $(TARGET).la

$(TARGET).la: $(LT_OBJS)
	$(LIBTOOL) --mode=link $(CC) -release $(RADIUSD_VERSION) \
	$(LDFLAGS) $(LINK_MODE) -o $@ -rpath $(libdir) $^ $(LCRYPT)

$(LT_OBJS): $(INCLUDES)

clean:
	rm -f *.o *.lo $(TARGET).la
	rm -rf .libs

install: all
	$(LIBTOOL) --mode=install $(INSTALL) -c $(TARGET).la $(R)$(libdir)
	rm -f $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la;
	ln -s $(TARGET).la $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la

=== src/modules/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.22.2.1.2.1 2006/02/10 19:47:04 nbk Exp $
#

include ../../Make.inc

WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

install:
	$(INSTALL) -d -m 755 $(R)$(libdir)
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~ lib/rlm_* lib/*.o lib/smbencrypt

distclean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

common:
	@[ -d lib/ ] || mkdir lib
	@for mod in $(MODULES); do \
		what=$(WHAT_TO_MAKE); \
		if [ -d $$mod ] && [ -f $$mod/Makefile ]; then \
			echo "Making $$what in $$mod..."; \
			(cd $$mod && $(MAKE) $(MFLAGS) $$what) || exit $?;\
		fi; \
	done

=== src/modules/rlm_eap/libeap/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.1.4.2 2006/02/10 19:47:09 nbk Exp $
#

include ../../../../Make.inc

SRCS		= eapcommon.c eapcrypto.c eapsimlib.c fips186prf.c
ifneq ($(OPENSSL_LIBS),)
SRCS		+= cb.c eap_tls.c mppe_keys.c tls.c
endif
LT_OBJS		= $(SRCS:.c=.lo)
INCLUDES	= eap_types.h eap_tls.h
CFLAGS		+= -DEAPLIB -I. -I.. -I$(top_builddir)/src/include $(OPENSSL_INCLUDE)
ifeq ($(USE_SHARED_LIBS),yes)
LINK_MODE	= -export-dynamic
else
LINK_MODE	= -static
endif
TARGET		= $(LIBPREFIX)eap

# Define new rule for libtool objects
%.lo: %.c
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c $<

all: $(TARGET).la

$(TARGET).la: $(LT_OBJS)
	$(LIBTOOL) --mode=link $(CC) -release $(RADIUSD_VERSION) \
	$(LDFLAGS) $(LINK_MODE) -o $@ -rpath $(libdir) $^ \
	$(top_builddir)/src/lib/libradius.la $(LIBS)

$(LT_OBJS): $(INCLUDES)

clean:
	rm -f *.o *.lo $(TARGET).la
	rm -rf .libs

install: all
	$(LIBTOOL) --mode=install $(INSTALL) -c $(TARGET).la $(R)$(libdir)
	rm -f $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la;
	ln -s $(TARGET).la $(R)$(libdir)/$(TARGET)-$(RADIUSD_VERSION).la

=== src/modules/rlm_eap/types/Makefile ===
#
# Makefile
#
# Version:	$Id: Makefile,v 1.3.2.1.2.1 2006/02/10 19:47:11 nbk Exp $
#

all:
	$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

install:
	$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

common:
	@for mod in rlm_eap*; do \
		if [ -d $$mod ] && [ -f $$mod/Makefile ]; then \
			echo "Making $(WHAT_TO_MAKE) in $$mod..."; \
			$(MAKE) $(MFLAGS) -C $$mod $(WHAT_TO_MAKE) || exit $?; \
		fi; \
	done

=== debian/changelog ===
freeradius (1.1.1-0) unstable; urgency=low

  * New upstream release.
  * Delete dpatches merged in mainstream CVS:
    - 01_NET-SNMP_build_support
    - 02_document_actual_shared_secret_maximum_length
    - 12_more_dialup_admin_various_fixes
  * Remove irrelevant dpatch after rlm_eap changes in CVS:
    - 06_libtool14_vs_rlm_eap_tls
  * Features that break compatibility with Sarge have not been merged:
    - debhelper V5 support
    - lsb-init functions

 -- Nicolas Baradakis <nicolas.baradakis@cegetel.net>  Sun, 12 Feb 2006 16:29:20 +0100

freeradius (1.1.0-1) unstable; urgency=low
  * ReDebianise upstream tarball:
    - Deleted RFCs: 2243 2289 2433 2548 2618 2619 2620 2621 2716 2759 2809 2865
                    2866 2867 2868 2869 2882 2924 3162 3575 3576 3579 3580
                    draft-kamath-pppext-eap-mschapv2-00

  * New FreeRADIUS modules marked stable by new upstream release
    - rlm_perl
    - rlm_sqlcounter
    - rlm_sql_log + radsqlrelay
    - rlm_otp (formerly rlm_x99_token, not built as it depends on OpenSSL)

  * Remove upstream-integrated patches:
    - 02_EAP-SIM_doesnt_need_openssl
    - 03_X99_is_not_stable
    - 07_manpage_fixups
    - 09_use_crypth_if_we_have_it
    - 10_escape_entire_ldap_string
    - 11_dont_xlat_possibly_bad_usernames_in_bad_accounting_packets
    - 12_dialup_admin_various_fixes

  * More dialup-admin fixes from Arve Seljebu
    - Fix redirects in dialup-admin pages on servers with
      register_globals turned off.
      Closes: #333704
    - HTTP form fields will always fail is_int, use in_numeric instead
      Closes: #335149
    - Created 12_more_dialup_admin_various_fixes

  * Update to Policy 3.6.2.0
  * Upgrade Debhelper support to V5
  * Don't install the .in files with the examples
  * Prefer libmysqlclient15-dev
    Closes: #343779
  * Shared secrets can only be 31 characters long, note this in clients.conf
    - Created 02_document_actual_shared_secret_maximum_length
    Closes: 344606
  * Added support for lsb-init functions

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Sun, 15 Jan 2006 13:34:13 +1100

freeradius (1.1.0-0) unstable; urgency=low

  * New upstream release.
  * Update set of patches:
    - 01_NET-SNMP_build_support.dpatch
    - 06_libtool14_vs_rlm_eap_tls.dpatch
    - 13_a_libtool14_to_call_your_own.dpatch

 -- Nicolas Baradakis <nicolas.baradakis@cegetel.net>  Sun,  1 Jan 2006 18:15:47 +0100

freeradius (1.0.5-2) unstable; urgency=low

  * Stop dragging non-PIC code from libeap.a into rlm_eap_sim.so and
    rlm_eap.so.
    (Thanks to Peter Salinger)
    Closes: #288547
    - Rename 06_libtool14_vs_rlm_eap_tls to 06_libtool14_vs_rlm_eap
      and modify with Peter's changes and some Makefile hackery to
      get it all linking
  * Don't rerun configure during the build.
    (Thanks to Kurt Roeckx)
  * A whole bunch of dialup-admin fixes from Arve Seljebu and Tobias
    - Report correct data transfer statistics for users
      Closes: #329672
    - Lower-case sql column names to match creation scripts
      Closes: #333709
    - Fix creation of empty groups
      Closes: #333739
    - Put quote around usernames in HTML output
      Closes: #333742
    - Properly notice when we've got a blank password to SQL
      Closes: #333744
    - Created 12_dialup_admin_various_fixes
  * Stop using libtool1.4 to build against, now that we can't have it and
    libltdl3-dev installed at the same time
    Closes: #279391
    - Created 13_a_libtool14_to_call_your_own to get most recent ltmain.sh

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Sun, 16 Oct 2005 21:26:30 +1000

freeradius (1.0.5-1) unstable; urgency=high

  * Urgency high for security fixes below, all reported upstream
  * ReDebianise upstream tarball:
    - Deleted RFCs: 2243 2289 2433 2548 2618 2619 2620 2621 2716 2759 2809 2865
                    2866 2867 2868 2869 2882 2924 3162 3575 3576 3579 3580
                    draft-kamath-pppext-eap-mschapv2-00
  * Add missed build-dependancy on dpatch (>=2)
  * Update to Standards-Version 3.6.2.0
    - No changes needed
  * Repair some minorly broken manpages
    - Created 07_manpage_fixups.dpatch
  * Security fixes stolen from CVS release_1_0 branch:
    - Be sure we use crypt.h if we have it, to avoid segfaulting on a
      bad built-in crypt() definition, spotted by Konstantin Kubatkin
      + Created 09_use_crypth_if_we_have_it
    - Make sure we escape the entire LDAP string, instead of
      aborting as soon as it becomes possible to be out of space
      + Created 10_escape_entire_ldap_string
    - Don't xlat the UserName attribute before we can be sure of meeting
      any escape sequences it may contain, spotted by Primoz Bratanic
      + Created 11_dont_xlat_possibly_bad_usernames_in_bad_accounting_packets
  * Depend on adduser, so our postinst can create the freerad user
  * Don't install the .in versions of the example scripts.

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Mon, 19 Sep 2005 15:10:40 +1000

freeradius (1.0.5-0) unstable; urgency=low

  * New Upstream release, from release_1_0 branch
    - Remove 04_bonus_control_code_in_clients_conf_5
    - Remove 05_unbreak_quoted_sql_results
  * Fix my _name_ in the dpatches
  * Remove patch to CVS ID header from 05_unbreak_quoted_sql_values
    so as not to break things when comitting to FreeRADIUS CVS
  * Take linking fix from FreeRADIUS bugzilla #75 to allow
    rlm_eap_tls to be linked to by rlm_eap_ttls and rlm_eap_peap
    even though we don't build them in the Debian archive.
    (Thanks to Luca Landi for the patch)
    - Created 06_libtool14_vs_rlm_eap_tls
  * Fix ownership of files in /var/log/freeradius/ more efficiently
    (Caught by Guido Trotter)
    Closes: #326891

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Wed,  7 Sep 2005 01:08:07 +1000

freeradius (1.0.4-2) unstable; urgency=low

  * Fix my email address in the dpatches
  * Remove extraneous ^g from man/man5/clients.conf.5
    - Created 04_bonus_control_code_in_clients_conf_5


=== debian/control ===
Source: freeradius
Build-Depends: debhelper (>= 4.2.32), dpatch (>= 2), autotools-dev, libltdl3-dev, libpam0g-dev, libmysqlclient15-dev | libmysqlclient14-dev | libmysqlclient-dev, libgdbm-dev, libldap2-dev, libsasl2-dev, libiodbc2-dev, libkrb5-dev, libperl-dev, snmp, libsnmp9-dev | libsnmp5-dev | libsnmp4.2-dev, libpq-dev | postgresql-dev, libssl-dev
Section: net
Priority: optional
Maintainer: Paul Hampson <Paul.Hampson@anu.edu.au>
Standards-Version: 3.6.2.0

Package: freeradius
Architecture: any
Depends: adduser, ${shlibs:Depends}
Provides: radius-server
Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5
Conflicts: radiusd-freeradius, radiusd-freeradius-krb5, radiusd-freeradius-ldap, radiusd-freeradius-postgresql, radiusd-freeradius-mysql
Replaces: radiusd-freeradius
Description: a high-performance and highly configurable RADIUS server
 A high-performance RADIUS server derived from Cistron's server, and
 generally similar to Livingston's 2.0 server, with support for...
  - many vendor-specific attributes
  - proxying and replicating requests by any criteria
  - authentication on system passwd, SQL, Kerberos, LDAP, users file, or PAM
  - multiple DEFAULT configurations
  - regexp matching in string attributes
 and lots more.

Package: freeradius-krb5
Architecture: any
Conflicts: radiusd-freeradius-krb5
Replaces: radiusd-freeradius-krb5
Depends: freeradius (= ${Source-Version}), ${shlibs:Depends}
Description: kerberos module for FreeRADIUS server
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: freeradius-ldap
Architecture: any
Conflicts: radiusd-freeradius-ldap
Replaces: radiusd-freeradius-ldap
Depends: freeradius (= ${Source-Version}), ${shlibs:Depends}
Description: LDAP module for FreeRADIUS server
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: freeradius-postgresql
Architecture: any
Conflicts: radiusd-freeradius-postgresql
Replaces: radiusd-freeradius-postgresql
Depends: freeradius (= ${Source-Version}), ${shlibs:Depends}
Description: PostgreSQL module for FreeRADIUS server
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: freeradius-mysql
Architecture: any
Conflicts: radiusd-freeradius-mysql
Replaces: radiusd-freeradius-mysql
Depends: freeradius (= ${Source-Version}), ${shlibs:Depends}
Description: MySQL module for FreeRADIUS server
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

Package: freeradius-iodbc
Architecture: any
Depends: freeradius (= ${Source-Version}), ${shlibs:Depends}
Description: iODBC module for FreeRADIUS server
 The FreeRADIUS server can use iODBC to access databases to authenticate users
 and do accounting, and this module is necessary for that.

Package: freeradius-dialupadmin
Architecture: all
Depends: php4 | php4-cgi
Recommends: ${perl:Depends}
Suggests: apache2-mpm-prefork | httpd, php4-mysql | php4-pgsql, libdate-manip-perl
Description: set of PHP scripts for administering a FreeRADIUS server
 These scripts provide a web-based interface for administering a FreeRADIUS
 server which stores authentication information in either SQL or LDAP.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for freeradius
#

.NOTPARALLEL:

SHELL		=/bin/bash

package		= freeradius
debiandir	= $(shell pwd)/debian
freeradius_dir	= $(debiandir)/$(package)

mandir		= /usr/share/man
libdir		= /usr/lib/$(package)
logdir		= /var/log/$(package)
pkgdocdir	= /usr/share/doc/$(package)
raddbdir	= /etc/$(package)

# All supported modules, irrespective of licensing
modulepackages = krb5 ldap mysql iodbc postgresql
# Binary-distributable modules for the Debian archive.
#modulepackages = krb5 ldap mysql iodbc

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Autoconf 2.13 arch support
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += $(DEB_HOST_GNU_TYPE)
else
	confflags += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
#	$(error Cannot cross-compile this package out-of-the-box)
endif

build-simple: stamp-build
stamp-build: stamp-patch
	dh_testdir
	# dh_testroot
	./configure \
		$(confflags) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--mandir=$(mandir) \
		--sysconfdir=/etc \
		--libdir=$(libdir) \
		--datadir=/usr/share \
		--localstatedir=/var \
		--with-raddbdir=$(raddbdir) \
		--with-logdir=/var/log/$(package) \
		--disable-ltdl-install \
		--with-large-files --with-udpfromto --with-edir \
		--with-rlm_sql_postgresql_lib_dir=`pg_config --libdir` \
		--with-rlm_sql_postgresql_include_dir=`pg_config --includedir` \
		--enable-strict-dependencies \
		--enable-developer

#		To make SSL-free, add this:
#		--without-rlm_eap_peap \
		--without-rlm_eap_tls \
		--without-rlm_eap_ttls \
		--without-rlm_otp \
		--without-rlm_sql_postgresql \
		--without-snmp \

#		and remove these:
#		--with-rlm_sql_postgresql_lib_dir=`pg_config --libdir` \
		--with-rlm_sql_postgresql_include_dir=`pg_config --includedir` \

	# Modify Make.inc for Debian...
	TEMPFILE=`mktemp /tmp/radmake-XXXXXX`; \
	cp Make.inc $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's!${localstatedir}/run/radiusd!${localstatedir}/run/freeradius!' \
			> Make.inc; \
	rm $$TEMPFILE

	make
	touch stamp-build

build: autotools build-simple

binary-indep: stamp-build
	dh_testroot
	dh_clean -i -k
	dh_installdirs -i
	# Dialup-Admin
	dh_installdocs -p freeradius-dialupadmin -XCVS dialup_admin/README dialup_admin/doc/*
	dh_installchangelogs -p freeradius-dialupadmin dialup_admin/Changelog
	dh_installexamples -p freeradius-dialupadmin dialup_admin/bin/dialup_admin.cron
	dh_install -p freeradius-dialupadmin -XCVS dialup_admin/conf/* etc/freeradius-dialupadmin/
	dh_install -p freeradius-dialupadmin -XCVS -XChangelog -XREADME -Xconf/ -Xdoc/ -Xdialup_admin.cron dialup_admin/* usr/share/freeradius-dialupadmin/
	dh_link -p freeradius-dialupadmin etc/freeradius-dialupadmin/ usr/share/freeradius-dialupadmin/conf
	dh_perl -p freeradius-dialupadmin dialup_admin/bin/*
# Fix the crontab example to point to the right directory
	cat $(freeradius_dir)-dialupadmin/usr/share/doc/freeradius-dialupadmin/examples/dialup_admin.cron \
		| sed -e 's#/usr/local/dialup_admin#/usr/share/freeradius-dialupadmin#' \
		> $(freeradius_dir)-dialupadmin/usr/share/doc/freeradius-dialupadmin/examples/freeradius-dialupadmin.cron
	rm $(freeradius_dir)-dialupadmin/usr/share/doc/freeradius-dialupadmin/examples/dialup_admin.cron
	TEMPFILE=`mktemp /tmp/dialupconf-XXXXXX`; \
	cp $(freeradius_dir)-dialupadmin/etc/freeradius-dialupadmin/admin.conf $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's#/usr/local/dialup_admin#/usr/share/freeradius-dialupadmin#' \
			-e 's#/usr/local/radiusd#/usr#' \
			-e 's#general_raddb_dir: %{general_radiusd_base_dir}/etc/raddb#general_raddb_dir: /etc/freeradius#' \
			-e 's#general_clients_conf: /usr/local/etc/raddb/clients.conf#general_clients_conf: /etc/freeradius/clients.conf#' \
			-e 's#%{general_base_dir}/conf#/etc/freeradius-dialupadmin#' \
			-e 's#/usr/local/bin#/usr/bin#' \
		> $(freeradius_dir)-dialupadmin/etc/freeradius-dialupadmin/admin.conf; \
	rm $$TEMPFILE;
	TEMPFILE=`mktemp /tmp/dialuphelp-XXXXXX`; \
	cp $(freeradius_dir)-dialupadmin/usr/share/freeradius-dialupadmin/htdocs/help/help.php3 $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's#readfile#readgzfile#' \
			-e 's#../../README#/usr/share/doc/freeradius-dialupadmin/README.gz#' \
			-e 's#../../doc/HOWTO#/usr/share/doc/freeradius-dialupadmin/HOWTO.gz#' \
			-e 's#../../doc/FAQ#/usr/share/doc/freeradius-dialupadmin/FAQ#' \
		> $(freeradius_dir)-dialupadmin/usr/share/freeradius-dialupadmin/htdocs/help/help.php3; \
	rm $$TEMPFILE;
	for binfile in $(freeradius_dir)-dialupadmin/usr/share/freeradius-dialupadmin/bin/*; do \
		TEMPFILE=`mktemp /tmp/dialupbin-XXXXXX`; \
		cp $$binfile $$TEMPFILE; \
		cat $$TEMPFILE \
			| sed -e 's#/usr/local/bin/#/usr/bin/#' \
				-e 's#/usr/local/dialup_admin/conf/#/etc/freeradius-dialupadmin/#' \
			> $$binfile; \
		rm $$TEMPFILE; \
	done

	# bonus scipts
	dh_installdeb -i
	dh_compress -i
	dh_fixperms -i
	dh_md5sums -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: stamp-build
	dh_testroot
	dh_clean -s -k
	dh_installdirs -s
	make install R=$(freeradius_dir)

	# rename radius binary to play nicely with others
	mv $(freeradius_dir)/usr/sbin/radiusd $(freeradius_dir)/usr/sbin/$(package)

	# clean up install cruft.  $$&@!%
	rm $(freeradius_dir)/usr/sbin/rc.radiusd
	test ! -d $(freeradius_dir)/etc/raddb || rmdir $(freeradius_dir)/etc/raddb
	test ! -d $(freeradius_dir)/var/log/radius/radacct || rmdir $(freeradius_dir)/var/log/radius/radacct
	test ! -d $(freeradius_dir)/var/log/radius || rmdir $(freeradius_dir)/var/log/radius
#	this is from the Makefile in doc/
	rm -f $(freeradius_dir)/usr/share/doc/freeradius/ChangeLog
#	and this one from the Makefile in src/modules/rlm_perl
	rm -f $(freeradius_dir)/etc/freeradius/example.pl

	# split out inconvenient/controversal modules to other places
	for modname in $(modulepackages); do \
		mkdir -p $(debiandir)/$(package)-$${modname}/$(libdir); \
		mv $(freeradius_dir)/$(libdir)/rlm*_$${modname}* $(debiandir)/$(package)-$${modname}/$(libdir)/; \
	done

	# man pages & docs
	dh_installdocs
	install -g root -m 644 CREDITS $(freeradius_dir)/$(pkgdocdir)/credits
	dh_installexamples -XCVS -XMakefile -X\\.in src/modules/rlm_perl/example.pl
	dh_installchangelogs doc/ChangeLog
	#Rename manpage to go with binary
	mv $(freeradius_dir)/$(mandir)/man8/radiusd.8 $(freeradius_dir)/$(mandir)/man8/$(package).8

	# SNMP mibs
	install -g root -m 644 mibs/*.txt $(freeradius_dir)/usr/share/snmp/mibs

	# supporting programs
	TEMPFILE=`mktemp /tmp/radconf-XXXXXX`; \
	cp $(freeradius_dir)/$(raddbdir)/radiusd.conf $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's/        /	/g' \
			-e '/^	example {/,/^	}/s/^/#/' \
			-e 's/#	shadow = /shadow = /' \
			-e 's/^#\?group = nobody/group = freerad/' \
			-e 's/^#\?user = nobody/user = freerad/' \
			-e 's!/run/radiusd!/run/freeradius!' \
			-e 's!radiusd.pid!freeradius.pid!' \
			> $(freeradius_dir)/$(raddbdir)/radiusd.conf; \
	rm $$TEMPFILE

	# bonus scipts
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -s
endif
	dh_installlogrotate -s
	dh_installinit -n -s
	dh_installpam --name=radiusd -s
	# We don't need ldconfig. None of our libraries go in it's paths
	dh_makeshlibs -n -s
	dh_shlibdeps -s
	dh_installdeb -s
	dh_compress -s
	dh_fixperms -s
	dh_md5sums -s
	dh_gencontrol -s
	dh_builddeb -s

clean: clean-patched unpatch

clean-patched:
	dh_testdir
	rm -f stamp-build debian/{files,substvars} debian/*.debhelper libltdl/stamp-h1
	[ -f Make.inc ] && make distclean || true
	dh_clean
	rm -rf $(freeradius_dir)
	for modname in $(modulepackages); do \
		rm -rf $(debiandir)/$(package)-$${modname}{,.substvars}; \
	done
	[ -f config.sub.dist ] && rm config.sub && mv config.sub.dist config.sub || true
	[ -f config.guess.dist ] && rm config.guess && mv config.guess.dist config.guess || true
